TextBox = require "ui.textbox"
require "ui.globals"
require "ui.config"
require "ui.colors"
require "ui.init"
require "ui.draw"
require "ui.keyboard"
require "ui.mouse"
require "sudoku.utils"

function love.load()
    love.window.setTitle("Sudoku!")
    love.window.setMode(0, 0)
    love.mouse.setGrabbed(false)
    love.keyboard.setKeyRepeat(true)
    math.randomseed(os.time())
    messages[1] = "Game Info"
    board[1] = loadBoard(board.fn)
    board[2] = cloneBoard(board[1])
    uiBoard[1] = cloneBoard(board[1])
    uiBoard[2] = cloneBoard(board[1])
    uiBoard[3] = cloneBoard(board[1])
    inputBox = TextBox(50, 50, 500, 45)
    inputBox.focused = false
    inputBox.enabled = false
    initUI()
end

function love.update(dt)
    inputBox:blink(dt)
end

function love.draw()
    setBackgroundColor(colors.backGround)
    drawGrid()
    drawSmallNumbers()
    drawBigNumbers()
    drawCursor()
    drawMessages()
    inputBox:draw()
end

function love.textinput(t)
    inputBox:append(t)
end
